Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.cdar2
Class ActRelationshipPosting

    java.lang.Object
      org.eclipse.emf.common.util.AbstractEnumerator
          org.eclipse.ohf.ihe.common.cdar2.ActRelationshipPosting

All Implemented Interfaces:
  org.eclipse.emf.common.util.Enumerator

    public final class ActRelationshipPosting

extends org.eclipse.emf.common.util.AbstractEnumerator

A representation of the literals of the enumeration 'Act Relationship Posting', and utility methods for working with them. abstDomain: V19617 (C-0-D10317-V10329-V14900-V19617-cpt)

See Also:
  `CDAR2Package.getActRelationshipPosting()`

Field Summary
`static int` | `CREDIT` The 'CREDIT' literal value.
`static ActRelationshipPosting` | `CREDIT_LITERAL` The 'CREDIT' literal object.
`static int` | `DEBIT` The 'DEBIT' literal value.
`static ActRelationshipPosting` | `DEBIT_LITERAL` The 'DEBIT' literal object.
`static java.util.List` | `VALUES` A public read-only list of all the 'Act Relationship Posting' enumerators.

Method Summary
`static ActRelationshipPosting` | `get(int value)` Returns the 'Act Relationship Posting' literal with the specified integer value.
`static ActRelationshipPosting` | `get(java.lang.String literal)` Returns the 'Act Relationship Posting' literal with the specified literal value.
`static ActRelationshipPosting` | `getByName(java.lang.String name)` Returns the 'Act Relationship Posting' literal with the specified name.

Methods inherited from class org.eclipse.emf.common.util.AbstractEnumerator
`getLiteral, getName, getValue, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### CREDIT

    public static final int CREDIT

  The 'CREDIT' literal value.

  If the meaning of 'CREDIT' literal object isn't clear, there really should be more of a description here...

  See Also:
    `CREDIT_LITERAL`, Constant Field Values

### DEBIT

    public static final int DEBIT

  The 'DEBIT' literal value.

  If the meaning of 'DEBIT' literal object isn't clear, there really should be more of a description here...

  See Also:
    `DEBIT_LITERAL`, Constant Field Values

### CREDIT_LITERAL

    public static final ActRelationshipPosting CREDIT_LITERAL

  The 'CREDIT' literal object.

  See Also:
    `CREDIT`

### DEBIT_LITERAL

    public static final ActRelationshipPosting DEBIT_LITERAL

  The 'DEBIT' literal object.

  See Also:
    `DEBIT`

### VALUES

    public static final java.util.List VALUES

  A public read-only list of all the 'Act Relationship Posting' enumerators.

Method Detail

### get

    public static ActRelationshipPosting get(java.lang.String literal)

  Returns the 'Act Relationship Posting' literal with the specified literal value.

### getByName

    public static ActRelationshipPosting getByName(java.lang.String name)

  Returns the 'Act Relationship Posting' literal with the specified name.

### get

    public static ActRelationshipPosting get(int value)

  Returns the 'Act Relationship Posting' literal with the specified integer value.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD